| Flutter iOS Embedder |

Public Member Functions | List of all members
flutter::IOSSurfaceMetalSkia Class Referencefinal

`#include <ios_surface_metal_skia.h>`

Inheritance diagram for flutter::IOSSurfaceMetalSkia:

## Public Member Functions
| IOSSurfaceMetalSkia (CAMetalLayer *layer, std::shared_ptr< IOSContext > context)
| ~IOSSurfaceMetalSkia ()
Public Member Functions inherited from flutter::IOSSurface
std::shared_ptr< IOSContext > | GetContext () const
virtual | ~IOSSurface ()

## Additional Inherited Members
Static Public Member Functions inherited from flutter::IOSSurface
static std::unique_ptr< IOSSurface > | Create (std::shared_ptr< IOSContext > context, CALayer *layer)
Protected Member Functions inherited from flutter::IOSSurface
| IOSSurface (std::shared_ptr< IOSContext > ios_context)

## Detailed Description

Definition at line 19 of file ios_surface_metal_skia.h.

## Constructor & Destructor Documentation

## ◆ IOSSurfaceMetalSkia()

flutter::IOSSurfaceMetalSkia::IOSSurfaceMetalSkia | ( | CAMetalLayer * | layer,
|  | std::shared_ptr< IOSContext > | context
| ) |  |

Definition at line 21 of file ios_surface_metal_skia.mm.

22 : IOSSurface(std::move(context)),
23 GPUSurfaceMetalDelegate(MTLRenderTargetType::kCAMetalLayer),
24 layer_(layer) {
25 is_valid_ = layer_;
26 IOSContextMetalSkia* metal_context = static_cast<IOSContextMetalSkia*>(GetContext().get());
27 FlutterDarwinContextMetalSkia* darwin_context = metal_context->GetDarwinContext();
28 command_queue_ = darwin_context.commandQueue;
29 device_ = darwin_context.device;
30 }

References flutter::IOSSurface::GetContext(), and flutter::IOSContextMetalSkia::GetDarwinContext().

## ◆ ~IOSSurfaceMetalSkia()

flutter::IOSSurfaceMetalSkia::~IOSSurfaceMetalSkia | ( |  | ) |
| default

The documentation for this class was generated from the following files:

- shell/platform/darwin/ios/ios_surface_metal_skia.h
- shell/platform/darwin/ios/ios_surface_metal_skia.mm

flutter::IOSSurface::IOSSurface
IOSSurface(std::shared_ptr< IOSContext > ios_context)
Definition: ios_surface.mm:55
flutter::IOSSurface::GetContext
std::shared_ptr< IOSContext > GetContext() const
Definition: ios_surface.mm:62